Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::CharReader Class Reference

CharReader is a Reader wrapper. It reads chars from Reader and outputs `CharStream`, defining an identify function `correctOffset` method that simply returns the provided offset. More...

`#include <CharReader.h>`

Inheritance diagram for Lucene::CharReader:

## Public Member Functions

| CharReader (const ReaderPtr &in)
virtual | ~CharReader ()
virtual String | getClassName ()
boost::shared_ptr< CharReader > | shared_from_this ()
virtual int32_t | correctOffset (int32_t currentOff)
| Called by CharFilter(s) and Tokenizer to correct token offset.
virtual void | close ()
| Close the stream.
virtual int32_t | read (wchar_t *buffer, int32_t offset, int32_t length)
| Read characters into a portion of an array.
virtual bool | markSupported ()
| Tell whether this stream supports the mark() operation.
virtual void | mark (int32_t readAheadLimit)
| Mark the present position in the stream. Subsequent calls to reset() will attempt to reposition the stream to this point.
virtual void | reset ()
| Reset the stream. If the stream has been marked, then attempt to reposition it at the mark. If the stream has not been marked, then attempt to reset it in some way appropriate to the particular stream, for example by repositioning it to its starting point.
Public Member Functions inherited from Lucene::CharStream
virtual | ~CharStream ()
boost::shared_ptr< CharStream > | shared_from_this ()
Public Member Functions inherited from Lucene::Reader
virtual | ~Reader ()
boost::shared_ptr< Reader > | shared_from_this ()
virtual int32_t | read ()
| Read a single character.
virtual int64_t | skip (int64_t n)
| Skip characters.
virtual int64_t | length ()
| The number of bytes in the stream.
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
static CharStreamPtr | get (const ReaderPtr &input)
Static Public Member Functions inherited from Lucene::CharStream
static String | _getClassName ()
Static Public Member Functions inherited from Lucene::Reader
static String | _getClassName ()

## Protected Attributes

ReaderPtr | input
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Static Public Attributes inherited from Lucene::Reader
static const int32_t | READER_EOF
Protected Member Functions inherited from Lucene::Reader
| Reader ()
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

CharReader is a Reader wrapper. It reads chars from Reader and outputs `CharStream`, defining an identify function `correctOffset` method that simply returns the provided offset.

## Constructor & Destructor Documentation

## ◆ CharReader()

Lucene::CharReader::CharReader | ( | const ReaderPtr & | in | ) |

## ◆ ~CharReader()

virtual Lucene::CharReader::~CharReader | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::CharReader::_getClassName | ( |  | ) |

inline static

## ◆ close()

virtual void Lucene::CharReader::close | ( |  | ) |

virtual

Close the stream.

Implements Lucene::Reader.

## ◆ correctOffset()

virtual int32_t Lucene::CharReader::correctOffset | ( | int32_t | currentOff | ) |

virtual

Called by CharFilter(s) and Tokenizer to correct token offset.

Parameters

  currentOff | offset as seen in the output

Returns
  corrected offset based on the input

Implements Lucene::CharStream.

## ◆ get()

static CharStreamPtr Lucene::CharReader::get | ( | const ReaderPtr & | input | ) |

static

## ◆ getClassName()

virtual String Lucene::CharReader::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::CharStream.

## ◆ mark()

virtual void Lucene::CharReader::mark | ( | int32_t | readAheadLimit | ) |

virtual

Mark the present position in the stream. Subsequent calls to reset() will attempt to reposition the stream to this point.

Reimplemented from Lucene::Reader.

## ◆ markSupported()

virtual bool Lucene::CharReader::markSupported | ( |  | ) |

virtual

Tell whether this stream supports the mark() operation.

Reimplemented from Lucene::Reader.

## ◆ read()

virtual int32_t Lucene::CharReader::read | ( | wchar_t * | buffer,
|  | int32_t | offset,
|  | int32_t | length
| ) |  |

virtual

Read characters into a portion of an array.

Implements Lucene::Reader.

## ◆ reset()

virtual void Lucene::CharReader::reset | ( |  | ) |

virtual

Reset the stream. If the stream has been marked, then attempt to reposition it at the mark. If the stream has not been marked, then attempt to reset it in some way appropriate to the particular stream, for example by repositioning it to its starting point.

Reimplemented from Lucene::Reader.

## ◆ shared_from_this()

boost::shared_ptr< CharReader > Lucene::CharReader::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ input

ReaderPtr Lucene::CharReader::input

protected

The documentation for this class was generated from the following file:

- CharReader.h

clucene.sourceforge.net